<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 22/5/2018
 * Time: 2:34 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['direccion']) && isset($_REQUEST['telefono']) && isset($_REQUEST['propiedadId'])) {
            $personal_servicio = R::dispense('personalservicio');
            $personal_servicio->nombre = $_REQUEST['nombre'];
            $personal_servicio->direccion = $_REQUEST['direccion'];
            $personal_servicio->telefono = $_REQUEST['telefono'];
            $personal_servicio->fechaRegistro = date('Y-m-d H:i:s');
            $personal_servicio->fechaModificacion = date('Y-m-d H:i:s');
            $personal_servicio->propiedadId = $_REQUEST['propiedadId'];
            $personal_servicio->fotoPerfil = "http://como-encontrar-parejas.es/wp-content/uploads/foto-de-perfil.jpg";
            $personal_servicio->estado = 1;
            $id = R::store($personal_servicio);
            include '../comun/mensajeCreado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}